[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'MaskEdit' (#lcl)

# TMaskEdit.OnKeyPress

Handles a key press event for the focused control.

## Declaration

Source position: maskedit.pp line 377

`published property TMaskEdit.OnKeyPress : TKeyPressEvent;`

## Description

OnKeyPress is an event handler signalled when a key is pressed while the control has focus.

Differs from OnKeyDown in that the key needs to become pressed while the control has focus; with OnKeyDown the key may have already been down when the control received focus.

## See also

TWinControl.OnKeyPress |  | Event handler signalled for character data entered by the user.